org.mariadb.jdbc.internal.packet.dao.parameters

## Class NotLongDataParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.NotLongDataParameter

All Implemented Interfaces:
  ParameterHolder

Direct Known Subclasses:
  BigDecimalParameter, ByteArrayParameter, ByteParameter, DateParameter, DoubleParameter, FloatParameter, IntParameter, LongParameter, ShortParameter, StringParameter, TimeParameter, TimestampParameter

    public abstract class NotLongDataParameter
    extends Object
    implements ParameterHolder

### Constructor Summary

Constructors
Constructor and Description
`NotLongDataParameter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `isLongData()`
`boolean` `isNullData()`
`abstract void` `writeBinary(PacketOutputStream writeBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder

`getApproximateTextProtocolLength, getMariaDbType, toString, writeTo, writeUnsafeTo`

### Constructor Detail

#### NotLongDataParameter

    public NotLongDataParameter()

### Method Detail

#### writeBinary

    public abstract void writeBinary(PacketOutputStream writeBuffer)
                              throws IOException

Throws:
  `IOException`

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in interface `ParameterHolder`

#### isNullData

    public boolean isNullData()

Specified by:
  `isNullData` in interface `ParameterHolder`